# Biyn Média Symfony Starter

Toutes les commandes listées dans ce document s'exécutent à la racine du projet.

## Configuration de la BDD

- Renommer le fichier `.env.local.dist` en `.env.local`
- Mettre à jour les paramètres de connexion : 

```bash
DATABASE_URL="mysql://db_user:db_password@127.0.0.1:3306/db_name?serverVersion=5.7"
```

## Installation

L'installation se fait à l'aide de la commande :

```bash
bash bin/install.sh
```

et la mise à jour (suite à un changement de branche par exemple) via cette commande :

```bash
bash bin/update.sh
```

Lancer les tests unitaire de l'API :

```bash
php bin/phpunit
```

## Schema Generator

Génération des schémas via https://schema.org

Documentation : https://api-platform.com/docs/schema-generator/   
Configuration : https://api-platform.com/docs/schema-generator/configuration/

### Commande schema  :

```bash
php vendor/bin/schema
```

Fichier de configuration dans : `config/schema.yaml`

### Génération du schéma :

```bash
php vendor/bin/schema generate src/ config/schema.yaml
``` 

## Fixtures

L'installation est automatique. \
Vous pouvez relancer les fixtures via la commande :

```bash
php bin/console hautelook:fixtures:load -q
```

Pour la génération des fixtures :

### Identifiants de test

Connexion en tant qu'administrateur :

> Email : admin@test.com \
> Mot de passe : demo

Connexion en tant qu'utilisateur `ACTIF` :

> Email : active@test.com \
> Mot de passe : demo

Connexion en tant qu'utilisateur `EN ATTENTE` :

> Email : pending@test.com \
> Mot de passe : demo